# Projects

### List all projects of your workspace

All of your existing projects can be retrieved from the `GET /projects` route.

## Get Projects

> Retrieve all of your projects (containing id, name & creation date)

```json
{"openapi":"3.0.3","info":{"title":"API Reference - Abyssale","version":"0.0.1"},"tags":[{"name":"Projects","description":"Projects allow you to organize your designs into logical groups.\nEach project can contain multiple designs and helps manage your design assets efficiently.\n"}],"servers":[{"url":"https://api.abyssale.com","description":"Main Production Server"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"description":"All of your Abyssale requests must contain a `x-api-key header` with your API Key.","type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ProjectSummary":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project"},"name":{"type":"string","description":"Name of the project"},"created_at_ts":{"type":"integer","description":"Unix timestamp when the project was created"}},"required":["id","name","created_at_ts"]}}},"paths":{"/projects":{"get":{"summary":"Get Projects","description":"Retrieve all of your projects (containing id, name & creation date)","tags":["Projects"],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProjectSummary"}}}}},"401":{"description":"Unauthorized"}}}}}}
```

### Create a new project

You can create a new project with the  `POST /projects` route.

## Create Project

> Create a new project to organize your templates and images

```json
{"openapi":"3.0.3","info":{"title":"API Reference - Abyssale","version":"0.0.1"},"tags":[{"name":"Projects","description":"Projects allow you to organize your designs into logical groups.\nEach project can contain multiple designs and helps manage your design assets efficiently.\n"}],"servers":[{"url":"https://api.abyssale.com","description":"Main Production Server"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"description":"All of your Abyssale requests must contain a `x-api-key header` with your API Key.","type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ProjectSummary":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project"},"name":{"type":"string","description":"Name of the project"},"created_at_ts":{"type":"integer","description":"Unix timestamp when the project was created"}},"required":["id","name","created_at_ts"]}}},"paths":{"/projects":{"post":{"summary":"Create Project","description":"Create a new project to organize your templates and images","tags":["Projects"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":2,"maxLength":100,"description":"Name of the project"}},"required":["name"]}}}},"responses":{"200":{"description":"Project created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectSummary"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.abyssale.com/rest-api/projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
